#include <boost/python.hpp>

using namespace boost::python;

const char* Greet() {
  return "hello, world";
}

int Add(int i, int j) {
  return i+j;
}
   
BOOST_PYTHON_MODULE(_function_example) {
  def("greet", Greet);
  def("add", &Add, "A function which adds two numbers");
}
